Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.shoppingcart
Class ShoppingCartLineImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.shoppingcart.ShoppingCartLineImpl

All Implemented Interfaces
  ShoppingCartLine, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ShoppingCartLineImpl

extends BelongingImpl
implements ShoppingCartLine

This class combines an Item, a Quantity and a Money. The item is a reference to an entity bean.

See Also
  `ShoppingCartLine`, `ShoppingCartLineHome`, Serialized Form

Field Summary
`ProductItem` | `productItem` Deprecated See BEA Commerce product offering
`double` | `quantity` Deprecated See BEA Commerce product offering
`Money` | `shipping` Deprecated See BEA Commerce product offering
`Money` | `tax` Deprecated See BEA Commerce product offering
`Money` | `unitPrice` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`ShoppingCartLineImpl()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`Money` | `getBaseSavings()` Deprecated See BEA Commerce product offering
`Money` | `getBaseTotal()` Deprecated See BEA Commerce product offering
`Money` | `getDiscountedPrice()` Deprecated See BEA Commerce product offering
`ArrayList` | `getDiscountPresentations()` Deprecated See BEA Commerce product offering
`Money` | `getLineTotal(int totalType)` Deprecated See BEA Commerce product offering
`ProductItem` | `getProductItem()` Deprecated See BEA Commerce product offering
`double` | `getQuantity()` Deprecated See BEA Commerce product offering
`Money` | `getSavings()` Deprecated See BEA Commerce product offering
`Money` | `getShipping()` Deprecated See BEA Commerce product offering
`Money` | `getTax()` Deprecated See BEA Commerce product offering
`Money` | `getUnitPrice()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setDiscountedPrice(Money discountedPrice)` Deprecated See BEA Commerce product offering
`void` | `setDiscountPresentations(ArrayList discountPresentations)` Deprecated See BEA Commerce product offering
`void` | `setProductItem(ProductItem productItem)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(double quantity)` Deprecated See BEA Commerce product offering
`void` | `setShipping(Money shipping)` Deprecated See BEA Commerce product offering
`void` | `setTax(Money tax)` Deprecated See BEA Commerce product offering
`void` | `setUnitPrice(Money unitPrice)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### unitPrice

    public Money unitPrice

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### tax

    public Money tax

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### shipping

    public Money shipping

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### quantity

    public double quantity

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### productItem

    public ProductItem productItem

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### ShoppingCartLineImpl

    public ShoppingCartLineImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getQuantity

    public double getQuantity()

  Deprecated See BEA Commerce product offering

  Get the value of quantity

  Specified by:
    `getQuantity` in interface `ShoppingCartLine`
  Returns
    quantity.

### setQuantity

    public void setQuantity(double quantity)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Specified by:
    `setQuantity` in interface `ShoppingCartLine`
  Parameters
    `quantity` - quantity to be added

### getUnitPrice

    public Money getUnitPrice()

  Deprecated See BEA Commerce product offering

  Get the value of unitPrice

  Specified by:
    `getUnitPrice` in interface `ShoppingCartLine`
  Returns
    unitPrice.

### setUnitPrice

    public void setUnitPrice(Money unitPrice)

  Deprecated See BEA Commerce product offering

  Set the value of unitPrice

  Specified by:
    `setUnitPrice` in interface `ShoppingCartLine`
  Parameters
    `unitMoney` - unitPrice to be set

### getProductItem

    public ProductItem getProductItem()

  Deprecated See BEA Commerce product offering

  Get the value of productItem

  Specified by:
    `getProductItem` in interface `ShoppingCartLine`
  Returns
    productItem.

### setProductItem

    public void setProductItem(ProductItem productItem)

  Deprecated See BEA Commerce product offering

  Set the value of productItem

  Specified by:
    `setProductItem` in interface `ShoppingCartLine`
  Parameters
    `productItem` - productItem to be added

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### getTax

    public Money getTax()

  Deprecated See BEA Commerce product offering

  Get the value of tax

  Specified by:
    `getTax` in interface `ShoppingCartLine`
  Returns
    tax.

### setTax

    public void setTax(Money tax)

  Deprecated See BEA Commerce product offering

  Set the value of tax

  Specified by:
    `setTax` in interface `ShoppingCartLine`
  Parameters
    `tax` - tax to be added

### getShipping

    public Money getShipping()

  Deprecated See BEA Commerce product offering

  Get the value of shipping

  Specified by:
    `getShipping` in interface `ShoppingCartLine`
  Returns
    shipping.

### setShipping

    public void setShipping(Money shipping)

  Deprecated See BEA Commerce product offering

  Set the value of shipping

  Specified by:
    `setShipping` in interface `ShoppingCartLine`
  Parameters
    `shipping` - shipping to be added

### getLineTotal

    public Money getLineTotal(int totalType)
                       throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Gets the line total for the given total type

  Specified by:
    `getLineTotal` in interface `ShoppingCartLine`
  Parameters
    `total` - type
  Throws
    `InvalidArgumentException`

### getSavings

    public Money getSavings()

  Deprecated See BEA Commerce product offering

  Get the value of the savings made on this line. Calulates the difference between the Msrp and the unit price and multiplies it by the line quantity

  Specified by:
    `getSavings` in interface `ShoppingCartLine`
  Returns
    savings.

### getBaseSavings

    public Money getBaseSavings()

  Deprecated See BEA Commerce product offering

  Get the savings from the MSRP to the base unit price, exluding non-catalog discounts, i.e. quantity * (MSRP - Unit Price)

  Specified by:
    `getBaseSavings` in interface `ShoppingCartLine`
  Returns
    base savings

### getBaseTotal

    public Money getBaseTotal()

  Deprecated See BEA Commerce product offering

  Get the total excluing non-catalog discounts, i.e. the quantity * unit price for this line

  Specified by:
    `getBaseTotal` in interface `ShoppingCartLine`
  Returns
    baseTotal

### getDiscountedPrice

    public Money getDiscountedPrice()

  Deprecated See BEA Commerce product offering

  get the Discounted Price for the line

  Specified by:
    `getDiscountedPrice` in interface `ShoppingCartLine`
  Returns
    the price as discounted

### setDiscountedPrice

    public void setDiscountedPrice(Money discountedPrice)

  Deprecated See BEA Commerce product offering

  Set the discount price for this line

  Specified by:
    `setDiscountedPrice` in interface `ShoppingCartLine`
  Parameters
    `discountedPrice,` - the price as discounted

### getDiscountPresentations

    public ArrayList getDiscountPresentations()

  Deprecated See BEA Commerce product offering

  get the Discount Description Array list of the discounts that apply to a particular shopping cart line

  Specified by:
    `getDiscountPresentations` in interface `ShoppingCartLine`
  Returns
    an ArrayList of DiscountDescription objects

### setDiscountPresentations

    public void setDiscountPresentations(ArrayList discountPresentations)

  Deprecated See BEA Commerce product offering

  Set the value of discount Presentations of the discounts that apply to a particular shopping cart line

  Specified by:
    `setDiscountPresentations` in interface `ShoppingCartLine`
  Parameters
    `discountPresentations,` - an ArrayList of DiscountDescription objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved